### Method

# Gtk Entryset_activates_default

#### Declaration [src]

    void
    gtk_entry_set_activates_default (
      GtkEntry* entry,
      gboolean setting
    )

#### Description [src]

Sets whether pressing Enter in the `entry` will activate the default widget for the window containing the entry.

This usually means that the dialog containing the entry will be closed, since the default widget is usually one of the dialog buttons.

Sets property | `Gtk.Entry:activates-default`

#### Parameters

`setting`

  Type: `gboolean`

  `TRUE` to activate window’s default widget on Enter keypress.